@import url("https://fonts.googleapis.com/css2?family=DM+Mono:ital,wght@0,300;0,400;0,500;1,300;1,400;1,500&family=Host+Grotesk:ital,wght@0,300_800;1,300_800&display=swap");

root {
  --fg: #241910;
  --bg: #fefbf4;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "DM Mono" sans-serif;
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

h1 {
  font-family: "Host Grotesk", sans-serif;
  font-size: 3rem;
  font-weight: 400;
  line-height: 1.1;
}


p {
  text-transform: uppercase;
  font-size: 0.8rem;
  font-weight: 500;
}

a {
  text-decoration: none;
  text-transform: uppercase;
  font-size: 0.8rem;
  font-weight: 500;
  color: var(--fg);
}



nav {
  position: fixed;
  width: 100vw;
  padding: 1.5rem 2rem;
  display: flex;
  align-items: center;
  gap: 2rem;
  will-change: opacity;
  z-index: 2;
}





section {
  position: relative;
  width: 100vw;
  height: 100vh;
  overflow: hidden;
}

.outro {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 2rem;
  background-color: var(--bg);
  color: var(--fg);
}

/* canvas {
  width: 100%;
  height: 100%;
  object-fit: cover;
} */

/* Replace your current canvas block with this */
canvas {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1; /* Puts the canvas behind the text */
}

.hero-content {
  position: absolute;
  top: 25%;
  left: 50%;
  transform: translateX(-50%);
  transform-style: preserve-3d;
  perspective: 1000px;
  padding: 0.5rem 0;
}


.header {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
  text-align: center;
  color: var(--fg);
  transform-origin: center;
  will-change: transform, opacity;
}

.header h1{
    width: 50%;
    margin-bottom: 0.5rem;
}

header p{
    opacity:0.35;
}

.client-logos{
    width: 30%;
    display: flex;
    gap: 0.5rem;
}


@media (max-width: 1000px) {
  h1 {
    font-size: 2rem;
  }

  nav .nav-links {
    display: none;
  }

  nav .nav-buttons {
    display: none;
  }

  .header h1,
  .client-logos,
  .hero-img-container{
    width: calc(100% - 4rem);
  }
  
}












